Subject: Kernel panic after system reconfiguration
From: Albin <[email-masked]>
To: [email-masked]
Date: Wed, 3 Feb 2016 19:18:41 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

With no other changes I just ran guix pull and guix system reconfigure
on my MacBook2,1 which created an unbootable system.

After having completed the reconfiguration I tried to halt and reboot
the system but got this error message each time :

> error: connect: /var/run/shepherd/socket: file or directory does not exist

I did a hard shutdown and rebooted.

Here is a picture of the kernel panic screen:
https://lut.im/h3kmF9hN8D/pnbWoVVQWj7QYPkr.jpg

This is my system configuration:
http://paste.lisp.org/display/306452

The OS was quite bootable after my last reconfiguration on January 26.

Albin